---
http_interactions:
- request:
    method: post
    uri: https://api.stripe.com/v1/tokens
    body:
      encoding: UTF-8
      string: card[number]=4242424242424242&card[exp_month]=4&card[exp_year]=2017&card[cvc]=314
    headers:
      Accept:
      - "*/*; q=0.5, application/xml"
      Accept-Encoding:
      - gzip, deflate
      User-Agent:
      - Stripe/v1 RubyBindings/1.30.2
      Authorization:
      - Bearer sk_test_testfaketestfaketestfake
      Content-Type:
      - application/x-www-form-urlencoded
      X-Stripe-Client-User-Agent:
      - '{"bindings_version":"1.30.2","lang":"ruby","lang_version":"2.3.0 p0 (2015-12-25)","platform":"x86_64-linux","engine":"ruby","publisher":"stripe","uname":"Linux
        version 4.4.5-1-ARCH (builduser@tobias) (gcc version 5.3.0 (GCC) ) #1 SMP
        PREEMPT Thu Mar 10 07:38:19 CET 2016","hostname":"Sylvain-desktop"}'
      Content-Length:
      - '81'
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - nginx
      Date:
      - Mon, 11 Apr 2016 15:43:41 GMT
      Content-Type:
      - application/json
      Content-Length:
      - '779'
      Connection:
      - keep-alive
      Access-Control-Allow-Credentials:
      - 'true'
      Access-Control-Allow-Methods:
      - GET, POST, HEAD, OPTIONS, DELETE
      Access-Control-Allow-Origin:
      - "*"
      Access-Control-Max-Age:
      - '300'
      Cache-Control:
      - no-cache, no-store
      Request-Id:
      - req_8FcRwZhpRvOW2K
      Stripe-Version:
      - '2015-10-16'
      Strict-Transport-Security:
      - max-age=31556926; includeSubDomains
    body:
      encoding: UTF-8
      string: |
        {
          "id": "tok_17z7CT2sOmf47Nz9bO1WBtba",
          "object": "token",
          "card": {
            "id": "card_17z7CT2sOmf47Nz9wtWkhGor",
            "object": "card",
            "address_city": null,
            "address_country": null,
            "address_line1": null,
            "address_line1_check": null,
            "address_line2": null,
            "address_state": null,
            "address_zip": null,
            "address_zip_check": null,
            "brand": "Visa",
            "country": "US",
            "cvc_check": "unchecked",
            "dynamic_last4": null,
            "exp_month": 4,
            "exp_year": 2017,
            "fingerprint": "o52jybR7bnmNn6AT",
            "funding": "credit",
            "last4": "4242",
            "metadata": {},
            "name": null,
            "tokenization_method": null
          },
          "client_ip": "90.42.87.235",
          "created": 1460389421,
          "livemode": false,
          "type": "card",
          "used": false
        }
    http_version: 
  recorded_at: Mon, 11 Apr 2016 15:43:41 GMT
- request:
    method: get
    uri: https://api.stripe.com/v1/tokens/tok_17z7CT2sOmf47Nz9bO1WBtba
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Accept:
      - "*/*; q=0.5, application/xml"
      Accept-Encoding:
      - gzip, deflate
      User-Agent:
      - Stripe/v1 RubyBindings/1.30.2
      Authorization:
      - Bearer sk_test_testfaketestfaketestfake
      Content-Type:
      - application/x-www-form-urlencoded
      X-Stripe-Client-User-Agent:
      - '{"bindings_version":"1.30.2","lang":"ruby","lang_version":"2.3.0 p0 (2015-12-25)","platform":"x86_64-linux","engine":"ruby","publisher":"stripe","uname":"Linux
        version 4.4.5-1-ARCH (builduser@tobias) (gcc version 5.3.0 (GCC) ) #1 SMP
        PREEMPT Thu Mar 10 07:38:19 CET 2016","hostname":"Sylvain-desktop"}'
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - nginx
      Date:
      - Mon, 11 Apr 2016 15:43:41 GMT
      Content-Type:
      - application/json
      Content-Length:
      - '779'
      Connection:
      - keep-alive
      Access-Control-Allow-Credentials:
      - 'true'
      Access-Control-Allow-Methods:
      - GET, POST, HEAD, OPTIONS, DELETE
      Access-Control-Allow-Origin:
      - "*"
      Access-Control-Max-Age:
      - '300'
      Cache-Control:
      - no-cache, no-store
      Request-Id:
      - req_8FcRgivvsrn6Jy
      Stripe-Version:
      - '2015-10-16'
      Strict-Transport-Security:
      - max-age=31556926; includeSubDomains
    body:
      encoding: UTF-8
      string: |
        {
          "id": "tok_17z7CT2sOmf47Nz9bO1WBtba",
          "object": "token",
          "card": {
            "id": "card_17z7CT2sOmf47Nz9wtWkhGor",
            "object": "card",
            "address_city": null,
            "address_country": null,
            "address_line1": null,
            "address_line1_check": null,
            "address_line2": null,
            "address_state": null,
            "address_zip": null,
            "address_zip_check": null,
            "brand": "Visa",
            "country": "US",
            "cvc_check": "unchecked",
            "dynamic_last4": null,
            "exp_month": 4,
            "exp_year": 2017,
            "fingerprint": "o52jybR7bnmNn6AT",
            "funding": "credit",
            "last4": "4242",
            "metadata": {},
            "name": null,
            "tokenization_method": null
          },
          "client_ip": "90.42.87.235",
          "created": 1460389421,
          "livemode": false,
          "type": "card",
          "used": false
        }
    http_version: 
  recorded_at: Mon, 11 Apr 2016 15:43:42 GMT
- request:
    method: get
    uri: https://api.stripe.com/v1/customers/cus_8Di1wjdVktv5kt
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Accept:
      - "*/*; q=0.5, application/xml"
      Accept-Encoding:
      - gzip, deflate
      User-Agent:
      - Stripe/v1 RubyBindings/1.30.2
      Authorization:
      - Bearer sk_test_testfaketestfaketestfake
      Content-Type:
      - application/x-www-form-urlencoded
      X-Stripe-Client-User-Agent:
      - '{"bindings_version":"1.30.2","lang":"ruby","lang_version":"2.3.0 p0 (2015-12-25)","platform":"x86_64-linux","engine":"ruby","publisher":"stripe","uname":"Linux
        version 4.4.5-1-ARCH (builduser@tobias) (gcc version 5.3.0 (GCC) ) #1 SMP
        PREEMPT Thu Mar 10 07:38:19 CET 2016","hostname":"Sylvain-desktop"}'
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - nginx
      Date:
      - Mon, 11 Apr 2016 15:43:42 GMT
      Content-Type:
      - application/json
      Content-Length:
      - '5571'
      Connection:
      - keep-alive
      Access-Control-Allow-Credentials:
      - 'true'
      Access-Control-Allow-Methods:
      - GET, POST, HEAD, OPTIONS, DELETE
      Access-Control-Allow-Origin:
      - "*"
      Access-Control-Max-Age:
      - '300'
      Cache-Control:
      - no-cache, no-store
      Request-Id:
      - req_8FcRWeqA3l7Zyc
      Stripe-Version:
      - '2015-10-16'
      Strict-Transport-Security:
      - max-age=31556926; includeSubDomains
    body:
      encoding: ASCII-8BIT
      string: !binary |-
[encoded data, 8487 characters]
        OERpMXdqZFZrdHY1a3Qvc3Vic2NyaXB0aW9ucyIKICB9Cn0K
    http_version: 
  recorded_at: Mon, 11 Apr 2016 15:43:42 GMT
- request:
    method: post
    uri: https://api.stripe.com/v1/customers/cus_8Di1wjdVktv5kt/subscriptions
    body:
      encoding: UTF-8
      string: plan=mensuel-standard-month-20160404171519&card=tok_17z7CT2sOmf47Nz9bO1WBtba
    headers:
      Accept:
      - "*/*; q=0.5, application/xml"
      Accept-Encoding:
      - gzip, deflate
      User-Agent:
      - Stripe/v1 RubyBindings/1.30.2
      Authorization:
      - Bearer sk_test_testfaketestfaketestfake
      Content-Type:
      - application/x-www-form-urlencoded
      X-Stripe-Client-User-Agent:
      - '{"bindings_version":"1.30.2","lang":"ruby","lang_version":"2.3.0 p0 (2015-12-25)","platform":"x86_64-linux","engine":"ruby","publisher":"stripe","uname":"Linux
        version 4.4.5-1-ARCH (builduser@tobias) (gcc version 5.3.0 (GCC) ) #1 SMP
        PREEMPT Thu Mar 10 07:38:19 CET 2016","hostname":"Sylvain-desktop"}'
      Content-Length:
      - '76'
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - nginx
      Date:
      - Mon, 11 Apr 2016 15:43:44 GMT
      Content-Type:
      - application/json
      Content-Length:
      - '821'
      Connection:
      - keep-alive
      Access-Control-Allow-Credentials:
      - 'true'
      Access-Control-Allow-Methods:
      - GET, POST, HEAD, OPTIONS, DELETE
      Access-Control-Allow-Origin:
      - "*"
      Access-Control-Max-Age:
      - '300'
      Cache-Control:
      - no-cache, no-store
      Request-Id:
      - req_8FcRItYpDN04OA
      Stripe-Version:
      - '2015-10-16'
      Strict-Transport-Security:
      - max-age=31556926; includeSubDomains
    body:
      encoding: UTF-8
      string: |
        {
          "id": "sub_8FcRar5XrAGnL0",
          "object": "subscription",
          "application_fee_percent": null,
          "cancel_at_period_end": false,
          "canceled_at": null,
          "current_period_end": 1462981423,
          "current_period_start": 1460389423,
          "customer": "cus_8Di1wjdVktv5kt",
          "discount": null,
          "ended_at": null,
          "metadata": {},
          "plan": {
            "id": "mensuel-standard-month-20160404171519",
            "object": "plan",
            "amount": 3000,
            "created": 1459782921,
            "currency": "usd",
            "interval": "month",
            "interval_count": 1,
            "livemode": false,
            "metadata": {},
            "name": "Mensuel - standard, association - month",
            "statement_descriptor": null,
            "trial_period_days": null
          },
          "quantity": 1,
          "start": 1460389423,
          "status": "active",
          "tax_percent": null,
          "trial_end": null,
          "trial_start": null
        }
    http_version: 
  recorded_at: Mon, 11 Apr 2016 15:43:44 GMT
- request:
    method: get
    uri: https://api.stripe.com/v1/invoices?customer=cus_8Di1wjdVktv5kt&limit=1
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Accept:
      - "*/*; q=0.5, application/xml"
      Accept-Encoding:
      - gzip, deflate
      User-Agent:
      - Stripe/v1 RubyBindings/1.30.2
      Authorization:
      - Bearer sk_test_testfaketestfaketestfake
      Content-Type:
      - application/x-www-form-urlencoded
      X-Stripe-Client-User-Agent:
      - '{"bindings_version":"1.30.2","lang":"ruby","lang_version":"2.3.0 p0 (2015-12-25)","platform":"x86_64-linux","engine":"ruby","publisher":"stripe","uname":"Linux
        version 4.4.5-1-ARCH (builduser@tobias) (gcc version 5.3.0 (GCC) ) #1 SMP
        PREEMPT Thu Mar 10 07:38:19 CET 2016","hostname":"Sylvain-desktop"}'
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - nginx
      Date:
      - Mon, 11 Apr 2016 15:43:47 GMT
      Content-Type:
      - application/json
      Content-Length:
      - '2207'
      Connection:
      - keep-alive
      Access-Control-Allow-Credentials:
      - 'true'
      Access-Control-Allow-Methods:
      - GET, POST, HEAD, OPTIONS, DELETE
      Access-Control-Allow-Origin:
      - "*"
      Access-Control-Max-Age:
      - '300'
      Cache-Control:
      - no-cache, no-store
      Request-Id:
      - req_8FcRkV7kaP4d74
      Stripe-Version:
      - '2015-10-16'
      Strict-Transport-Security:
      - max-age=31556926; includeSubDomains
    body:
      encoding: UTF-8
      string: |
        {
          "object": "list",
          "data": [
            {
              "id": "in_17z7CV2sOmf47Nz9GowUoPMG",
              "object": "invoice",
              "amount_due": 3000,
              "application_fee": null,
              "attempt_count": 1,
              "attempted": true,
              "charge": "ch_17z7CV2sOmf47Nz9v4oKnmLc",
              "closed": true,
              "currency": "usd",
              "customer": "cus_8Di1wjdVktv5kt",
              "date": 1460389423,
              "description": null,
              "discount": null,
              "ending_balance": 0,
              "forgiven": false,
              "lines": {
                "object": "list",
                "data": [
                  {
                    "id": "sub_8FcRar5XrAGnL0",
                    "object": "line_item",
                    "amount": 3000,
                    "currency": "usd",
                    "description": null,
                    "discountable": true,
                    "livemode": false,
                    "metadata": {},
                    "period": {
                      "start": 1460389423,
                      "end": 1462981423
                    },
                    "plan": {
                      "id": "mensuel-standard-month-20160404171519",
                      "object": "plan",
                      "amount": 3000,
                      "created": 1459782921,
                      "currency": "usd",
                      "interval": "month",
                      "interval_count": 1,
                      "livemode": false,
                      "metadata": {},
                      "name": "Mensuel - standard, association - month",
                      "statement_descriptor": null,
                      "trial_period_days": null
                    },
                    "proration": false,
                    "quantity": 1,
                    "subscription": null,
                    "type": "subscription"
                  }
                ],
                "has_more": false,
                "total_count": 1,
                "url": "/v1/invoices/in_17z7CV2sOmf47Nz9GowUoPMG/lines"
              },
              "livemode": false,
              "metadata": {},
              "next_payment_attempt": null,
              "paid": true,
              "period_end": 1460389423,
              "period_start": 1459948968,
              "receipt_number": null,
              "starting_balance": 0,
              "statement_descriptor": null,
              "subscription": "sub_8FcRar5XrAGnL0",
              "subtotal": 3000,
              "tax": null,
              "tax_percent": null,
              "total": 3000,
              "webhooks_delivered_at": 1460389424
            }
          ],
          "has_more": true,
          "url": "/v1/invoices"
        }
    http_version: 
  recorded_at: Mon, 11 Apr 2016 15:43:47 GMT
- request:
    method: get
    uri: https://api.stripe.com/v1/customers/cus_8Di1wjdVktv5kt
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Accept:
      - "*/*; q=0.5, application/xml"
      Accept-Encoding:
      - gzip, deflate
      User-Agent:
      - Stripe/v1 RubyBindings/1.30.2
      Authorization:
      - Bearer sk_test_testfaketestfaketestfake
      Content-Type:
      - application/x-www-form-urlencoded
      X-Stripe-Client-User-Agent:
      - '{"bindings_version":"1.30.2","lang":"ruby","lang_version":"2.3.0 p0 (2015-12-25)","platform":"x86_64-linux","engine":"ruby","publisher":"stripe","uname":"Linux
        version 4.4.5-1-ARCH (builduser@tobias) (gcc version 5.3.0 (GCC) ) #1 SMP
        PREEMPT Thu Mar 10 07:38:19 CET 2016","hostname":"Sylvain-desktop"}'
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - nginx
      Date:
      - Mon, 11 Apr 2016 15:43:48 GMT
      Content-Type:
      - application/json
      Content-Length:
      - '6591'
      Connection:
      - keep-alive
      Access-Control-Allow-Credentials:
      - 'true'
      Access-Control-Allow-Methods:
      - GET, POST, HEAD, OPTIONS, DELETE
      Access-Control-Allow-Origin:
      - "*"
      Access-Control-Max-Age:
      - '300'
      Cache-Control:
      - no-cache, no-store
      Request-Id:
      - req_8FcRzywC1ZKG1q
      Stripe-Version:
      - '2015-10-16'
      Strict-Transport-Security:
      - max-age=31556926; includeSubDomains
    body:
      encoding: ASCII-8BIT
      string: !binary |-
[encoded data, 10074 characters]
        c3Vic2NyaXB0aW9ucyIKICB9Cn0K
    http_version: 
  recorded_at: Mon, 11 Apr 2016 15:43:48 GMT
- request:
    method: get
    uri: https://api.stripe.com/v1/customers/cus_8Di1wjdVktv5kt/subscriptions/sub_8FcRar5XrAGnL0
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Accept:
      - "*/*; q=0.5, application/xml"
      Accept-Encoding:
      - gzip, deflate
      User-Agent:
      - Stripe/v1 RubyBindings/1.30.2
      Authorization:
      - Bearer sk_test_testfaketestfaketestfake
      Content-Type:
      - application/x-www-form-urlencoded
      X-Stripe-Client-User-Agent:
      - '{"bindings_version":"1.30.2","lang":"ruby","lang_version":"2.3.0 p0 (2015-12-25)","platform":"x86_64-linux","engine":"ruby","publisher":"stripe","uname":"Linux
        version 4.4.5-1-ARCH (builduser@tobias) (gcc version 5.3.0 (GCC) ) #1 SMP
        PREEMPT Thu Mar 10 07:38:19 CET 2016","hostname":"Sylvain-desktop"}'
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - nginx
      Date:
      - Mon, 11 Apr 2016 15:43:48 GMT
      Content-Type:
      - application/json
      Content-Length:
      - '821'
      Connection:
      - keep-alive
      Access-Control-Allow-Credentials:
      - 'true'
      Access-Control-Allow-Methods:
      - GET, POST, HEAD, OPTIONS, DELETE
      Access-Control-Allow-Origin:
      - "*"
      Access-Control-Max-Age:
      - '300'
      Cache-Control:
      - no-cache, no-store
      Request-Id:
      - req_8FcRg1EQDVfpku
      Stripe-Version:
      - '2015-10-16'
      Strict-Transport-Security:
      - max-age=31556926; includeSubDomains
    body:
      encoding: UTF-8
      string: |
        {
          "id": "sub_8FcRar5XrAGnL0",
          "object": "subscription",
          "application_fee_percent": null,
          "cancel_at_period_end": false,
          "canceled_at": null,
          "current_period_end": 1462981423,
          "current_period_start": 1460389423,
          "customer": "cus_8Di1wjdVktv5kt",
          "discount": null,
          "ended_at": null,
          "metadata": {},
          "plan": {
            "id": "mensuel-standard-month-20160404171519",
            "object": "plan",
            "amount": 3000,
            "created": 1459782921,
            "currency": "usd",
            "interval": "month",
            "interval_count": 1,
            "livemode": false,
            "metadata": {},
            "name": "Mensuel - standard, association - month",
            "statement_descriptor": null,
            "trial_period_days": null
          },
          "quantity": 1,
          "start": 1460389423,
          "status": "active",
          "tax_percent": null,
          "trial_end": null,
          "trial_start": null
        }
    http_version: 
  recorded_at: Mon, 11 Apr 2016 15:43:49 GMT
- request:
    method: delete
    uri: https://api.stripe.com/v1/customers/cus_8Di1wjdVktv5kt/subscriptions/sub_8FcRar5XrAGnL0?at_period_end=true
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Accept:
      - "*/*; q=0.5, application/xml"
      Accept-Encoding:
      - gzip, deflate
      User-Agent:
      - Stripe/v1 RubyBindings/1.30.2
      Authorization:
      - Bearer sk_test_testfaketestfaketestfake
      Content-Type:
      - application/x-www-form-urlencoded
      X-Stripe-Client-User-Agent:
      - '{"bindings_version":"1.30.2","lang":"ruby","lang_version":"2.3.0 p0 (2015-12-25)","platform":"x86_64-linux","engine":"ruby","publisher":"stripe","uname":"Linux
        version 4.4.5-1-ARCH (builduser@tobias) (gcc version 5.3.0 (GCC) ) #1 SMP
        PREEMPT Thu Mar 10 07:38:19 CET 2016","hostname":"Sylvain-desktop"}'
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - nginx
      Date:
      - Mon, 11 Apr 2016 15:43:49 GMT
      Content-Type:
      - application/json
      Content-Length:
      - '826'
      Connection:
      - keep-alive
      Access-Control-Allow-Credentials:
      - 'true'
      Access-Control-Allow-Methods:
      - GET, POST, HEAD, OPTIONS, DELETE
      Access-Control-Allow-Origin:
      - "*"
      Access-Control-Max-Age:
      - '300'
      Cache-Control:
      - no-cache, no-store
      Request-Id:
      - req_8FcRvdzGhluZiD
      Stripe-Version:
      - '2015-10-16'
      Strict-Transport-Security:
      - max-age=31556926; includeSubDomains
    body:
      encoding: UTF-8
      string: |
        {
          "id": "sub_8FcRar5XrAGnL0",
          "object": "subscription",
          "application_fee_percent": null,
          "cancel_at_period_end": true,
          "canceled_at": 1460389429,
          "current_period_end": 1462981423,
          "current_period_start": 1460389423,
          "customer": "cus_8Di1wjdVktv5kt",
          "discount": null,
          "ended_at": null,
          "metadata": {},
          "plan": {
            "id": "mensuel-standard-month-20160404171519",
            "object": "plan",
            "amount": 3000,
            "created": 1459782921,
            "currency": "usd",
            "interval": "month",
            "interval_count": 1,
            "livemode": false,
            "metadata": {},
            "name": "Mensuel - standard, association - month",
            "statement_descriptor": null,
            "trial_period_days": null
          },
          "quantity": 1,
          "start": 1460389423,
          "status": "active",
          "tax_percent": null,
          "trial_end": null,
          "trial_start": null
        }
    http_version: 
  recorded_at: Mon, 11 Apr 2016 15:43:50 GMT
recorded_with: VCR 3.0.1
